# Marketplaces API V2.0 API

Version: 2.0
License: Apache 2.0

## Servers

```
https://api.mediamath.com/deals/v1.0
```

## Security

### Bearer

JWT token. Format: Bearer $TOKEN

Type: apiKey
In: header
Name: Authorization

## Download OpenAPI description

 - [Marketplaces API V2.0 API](https://apidocs.mediamath.com/_bundle/apis/marketplaces-api/marketplaces.yaml)

## Private Marketplace Exchange (PMP-E)

 - [GET /deals](https://apidocs.mediamath.com/apis/marketplaces-api/marketplaces/private-marketplace-exchange-(pmp-e)/list-deals.md): List the Deals
 - [POST /deals](https://apidocs.mediamath.com/apis/marketplaces-api/marketplaces/private-marketplace-exchange-(pmp-e)/post-deal.md): Create Deal
 - [POST /deal_analytics](https://apidocs.mediamath.com/apis/marketplaces-api/marketplaces/private-marketplace-exchange-(pmp-e)/list-deals-and-reporting-data.md): List the Deals This call returns all information you get with a deal and also the reporting data for a specified time interval (time_window : "yesterday", "last_7_days", "last_30_days", "month_to_date
 - [GET /deals/{id}](https://apidocs.mediamath.com/apis/marketplaces-api/marketplaces/private-marketplace-exchange-(pmp-e)/get-deal.md): Get Deal
 - [POST /deals/{id}](https://apidocs.mediamath.com/apis/marketplaces-api/marketplaces/private-marketplace-exchange-(pmp-e)/put-deal.md): Update Deal
 - [GET /deal_groups](https://apidocs.mediamath.com/apis/marketplaces-api/marketplaces/private-marketplace-exchange-(pmp-e)/list-deal-groups.md): List the Deal Groups When executing the GET call, you must specify one of the following: 'owner.organization_id', or 'ids' parameter, or else you will receive an error.
 - [POST /deal_groups](https://apidocs.mediamath.com/apis/marketplaces-api/marketplaces/private-marketplace-exchange-(pmp-e)/post-deal-group.md): Create a Deal Group Deal Groups are a feature that will allow you and your team to package individual deals into groups. This should streamline targeting, improve marketability (ex. creating a viewab
 - [GET /deal_groups/{id}](https://apidocs.mediamath.com/apis/marketplaces-api/marketplaces/private-marketplace-exchange-(pmp-e)/get-deal-group.md): Get a Deal Group's Details
 - [POST /deal_groups/{id}](https://apidocs.mediamath.com/apis/marketplaces-api/marketplaces/private-marketplace-exchange-(pmp-e)/put-deal-group.md): Update a Deal Group's Details Deal Groups are a feature that will allow you and your team to package individual deals into groups. This should streamline targeting, improve marketability (ex. creati
 - [POST /publishers](https://apidocs.mediamath.com/apis/marketplaces-api/marketplaces/private-marketplace-exchange-(pmp-e)/post_publishers.md): Publishers Information about PMP-D from the T1 side can be found [here](https://mediamathsupport.force.com/s/article/Private-Marketplace-Direct-PMPD) A video explainer on publisher management through
 - [GET /publishers](https://apidocs.mediamath.com/apis/marketplaces-api/marketplaces/private-marketplace-exchange-(pmp-e)/retrieve_publishers.md): Publishers are associated to an organization. A collection of publishers for an organization can be retrieved using an HTTP GET request containing an organization_id `Example: https://api.mediamath.co
 - [GET /publishers/{id}](https://apidocs.mediamath.com/apis/marketplaces-api/marketplaces/private-marketplace-exchange-(pmp-e)/retrieve_a_publisher_by_id.md): `Example: https://api.mediamath.com/deals/v1.0/publishers/3` A video explainer on publisher management through the MediaMath app can be found at: https://academy.mediamath.com/mediamath-beta-courses?n
 - [POST /publishers/{id}](https://apidocs.mediamath.com/apis/marketplaces-api/marketplaces/private-marketplace-exchange-(pmp-e)/edit_pub_name.md): `Example: POST https://api.mediamath.com/deals/v1.0/publishers/5` where you might want to edit to the following: ``` { "name" : "edited demo publisher 2", } ``` A video explainer on publisher ma
 - [DELETE /publishers/{id}](https://apidocs.mediamath.com/apis/marketplaces-api/marketplaces/private-marketplace-exchange-(pmp-e)/delete_publisher.md): `Example: DELETE https://api.mediamath.com/deals/v1.0/publishers/5` A video explainer on publisher management through the MediaMath app can be found at: https://academy.mediamath.com/mediamath-beta-co
 - [GET /channels](https://apidocs.mediamath.com/apis/marketplaces-api/marketplaces/private-marketplace-exchange-(pmp-e)/list_channels.md): Displays a list of channels
 - [PUT /bulk_update/deals](https://apidocs.mediamath.com/apis/marketplaces-api/marketplaces/private-marketplace-exchange-(pmp-e)/update-bulk-deal.md): Bulk Update Deal
 - [POST /bulk_create/deals](https://apidocs.mediamath.com/apis/marketplaces-api/marketplaces/private-marketplace-exchange-(pmp-e)/bulk-create-deal.md): Bulk Create Deal endpoint is /deals/v1.0/bulk_create/deals
 - [POST /bulk/deals](https://apidocs.mediamath.com/apis/marketplaces-api/marketplaces/private-marketplace-exchange-(pmp-e)/bulk-create-or-update-deal.md): Bulk Create/Update Deal endpoint is /deals/v1.0/bulk/deals To create a deal you need to populate all the fileds. To update you need to provide the "id" field and only the fields that you want to chan
 - [POST /bulk_create/publishers](https://apidocs.mediamath.com/apis/marketplaces-api/marketplaces/private-marketplace-exchange-(pmp-e)/bulk-create-publishers.md): This allows you to add multiple publishers at one under the same organization id. Publishers Information about PMP-D from the MediaMath side can be found [here](https://support.infillion.com/article/s
 - [GET /deals/{id}/strategy_deals](https://apidocs.mediamath.com/apis/marketplaces-api/marketplaces/private-marketplace-exchange-(pmp-e)/list-deal-strategies.md): List Deal Strategies `Example: /deals/v1.0/deals/380882/strategy_deals` you can use the 'with' parameter to get information about the strategies and campaigns using the deal. `eg: /deals/v1.0/deals/38
 - [GET /deal_groups/{id}/strategy_deal_groups](https://apidocs.mediamath.com/apis/marketplaces-api/marketplaces/private-marketplace-exchange-(pmp-e)/list-deal-group-strategies.md): List deal group strategies `Example: /deals/v1.0/deal_groups/980/strategy_deal_groups` you can use the 'with param to vide the details of the strategy's campaign or advertiser eg: `deals/v1.0/deal_gro
